import os

import pandas as pd

datasets_dir = "fsmol_chembl_datasets"

for filename in os.listdir(datasets_dir):
    df = pd.read_parquet(f"{datasets_dir}/{filename}")
    print(f'{df["label"].sum() / len(df):.2%}')
